Thomas Woelfers Baustatik Blog

Baustatik-Software und was sonst des Weges kommt

Warnung vor dem Framework

Seit Mitte des Jahres gibt es eine neue Version, Version 4.5, des .NET Frameworks von Microsoft, das wir auch für die Baustatik verwenden. Bisher war es immer so, das neue Versionen des Frameworks parallel zu bereits vorliegenden Versionen installiert wurden, und sich gegenseitig nicht in die Quere kamen.

Bei Version 4.5 ist das leider anders: Das Installationsprogramm von Version 4.5 überschreibt Version 4.0 vollständig. Der Grund ist wohl die Annahme, das 4.5 vollständig rückwärtskompatibel zur Version 4.0 ist. Das ist aber leider nicht der Fall: Wenn man Version 4.5 installiert, dann funktioniert in der Baustatik beispielsweise der PDF-Ausdruck nicht mehr.

Der einzige Weg den dann wieder ans laufen zu bekommen besteht darin, Version 4.5 des Frameworks komplett zu entfernen und dann wieder Version 4.0 zu installieren. Mittelfristig ist das natürlich keine besonders praktikable Lösung.

Wir werden daher im Laufe des Herbst eine Version der Baustatik zur Verfügung stellen, die auch mit Version 4.5 des Frameworks problemlos betrieben werden kann. Bis dahin empfehle ich, die Version 4.5 des Frameworks nicht zu installieren.

Comments are closed